The K2 blackpoint 4.6 Compatibility Matrix will assist in determining the Microsoft products and technologies required/supported for each K2 release as well as upgrade compatibility of those releases. The K2 blackpoint Compatibility Matrix empowers the organization to make an informed decision on the upgrade path required and potential pitfalls. Detailed information on individual K2 components and Microsoft products and technologies required/supported can be obtained from the K2 blackpoint Getting Started Guide Prerequisites section.

Not listed? Not supported.

Important: This Compatibility Matrix is for the K2 blackpoint 4.6 release only or greater. For support of previous versions of K2 and Microsoft products and technologies, see the Prior Versions K2 blackpoint Compatibility Matrix.

Back to the K2 blackpearl downloads page

Microsoft Product Support Plan
K2 will plan to support Microsoft products per the following guidelines:
  • Microsoft products and their service packs that are released during an existing K2 release cycle will not be targeted for support until the following release cycle at the earliest.
  • Microsoft cumulative updates that are released during an existing K2 release cycle will not be targeted for support until the following release cycle at the earliest. There are no guarantees that issues found in K2 to be caused by a cumulative update will be addressed by K2. In some cases, K2 may require an official service pack from Microsoft to provide support. Details about any potential issues found with a cumulative update will be made available in a KB article or a Known Issues list accompanying a K2 update.
  • K2 will deprecate support for a Microsoft product or service pack level or technology when a newer release has been available more than 12 months at the target time of the K2 release.
  • K2 releases will continue to support the Microsoft product or service pack level supported at the time of the K2 release. Microsoft product support deprecation will only occur with new K2 releases.
  • To ensure stability in a release cycle, K2 will support a prior Microsoft release when the latest release has been available less than 12 months at the target time of the K2 release.
  • K2 releases may require a dependency on the latest .NET Framework or Visual Studio release. In this case, regardless of Microsoft availability timeline, K2 will only support the latest .NET Framework or Visual Studio release.

For more information about the product releases, see the K2 Release Strategy article.

Example 1: K2 blackpoint 4.6 (4.12060.1.0) and Microsoft SQL Server Support
  • K2 blackpoint 4.6 (4.12060.1.0) release date: April 2012
  • Microsoft SQL Server 2008 release date: August 2008
  • Microsoft SQL Server 2005 release date: April 2006
  • Since Microsoft SQL Server 2008 was available more than 12 months when K2 blackpoint 4.6 (4.12060.1.0) was released, 2008 will be supported and 2005 will not be supported for that K2 release.
Example 2: K2 blackpoint 4.6 (4.12060.1.0) and Microsoft Visual Studio Support
  • K2 blackpearl 4.6 (4.12060.1.0) release date: April 2012
  • Microsoft Visual Studio 2010 release date: April 2010
  • Microsoft Visual Studio 2008 release date: November 2007
  • Since Microsoft Visual Studio will be available more than 12 months when K2 blackpoint 4.6 (4.12060.1.0) was released, 2010 will be supported and 2008 will not be supported for that K2 release.
Top
Bill of Materials1
K2 blackpoint
4.6.3 (4.12060.1530.0) KB001530 - K2 4.6.3 (4.12060.1530.0) Release Notes
4.6.2 (4.12060.1520.0) KB001520 - K2 4.6.2 (4.12060.1520.0) Release Notes
4.6.1 (4.12060.1500.0) KB001500 - K2 4.6.1 (4.12060.1500.0) Release Notes
4.6 (4.12060.1.0) KB001450 - K2 4.6 (4.12060.1.0) Release Notes
1 Bill of Materials provides a high level list of new features/functionality with each release
Top
Release Upgrade Compatibility
Currently Installed K2 Product Targeted K2 blackpoint Version  Targeted K2 blackpearl Version  
4.6 (4.12060.1.0) or greater 4.5 (4.10060.1.0) 4.6 (4.12060.1.0) 4.5 (4.10060.1.0)
K2 blackpoint
4.5 (4.10060.1.0)

check

 

check

0902 (4.9040.1.610) with Update 610

 check

check
0902 (4.9040.x.x)1

 

check

check

1 K2 blackpoint 0902 (4.9040.3.470) and K2 blackpoint 0902 Update (4.9040.2.470) have the same runtime functionality. Use the K2 blackpoint 0902 (4.9040.3.470) installer unless otherwise noted.

Top
32-bit/64-bit Compatibility

As of K2 blackpearl 4.6, the following components and platforms are supported:

  • Server Components (64-bit support only): K2 Server, K2 Databases, K2 for SharePoint, K2 Runtime Web Services, K2 Workspace, K2 for Reporting Services
  • Client Components (32-bit and 64-bit support): K2 Studio, K2 for Visual Studio, K2 Documentation
Top
Microsoft Windows1
Windows Server 2012 Windows Server 2008 R2
Standard, Enterprise
Windows Server 2008
Standard, Enterprise
Windows 8 Windows 7 Windows Vista

RTM

SP1

RTM

SP24

RTM (w/SP1)

RTM

SP1

RTM

SP2

SP1

Server Components1,2

4.6.3 (4.12060.1530.0) or greater

 

check

check

check

check

check5

check5

4.6.2 (4.12060.1520.0)
4.6.1 (4.12060.1500.0)
4.6 (4.12060.1.0)

 

check

check

check

check5 

check5

Client Components3

4.6.3 (4.12060.1530.0) or greater

 check

check

check

check

 

 check

check

check

check check

4.6.2 (4.12060.1520.0)
4.6.1 (4.12060.1500.0)
4.6 (4.12060.1.0)

 

check

check

check

 

 

check

check

check

check

1 The default IIS version is supported for each supported version of Windows
2 Server Components: K2 Server, K2 for SharePoint, K2 Runtime Web Services, K2 Workspace, K2 Documentation
3 Client Components: K2 Studio, K2 for Visual Studio, K2 Documentation
4 Although we also support the base OS version on the latest service pack, K2 tests on the R2 versions. We recommend that customers upgrade to the R2 versions.
5 K2 Server components are supported on desktop OS such as Windows 7 for developer licenses or console mode only.

Top
Microsoft SQL Server1
SQL Server 2012
Express, Standard, BI, Enterprise3, 4
SQL Server 2008 R2
Express, Standard, Enterprise4
SQL Server 2008
Express, Standard, Enterprise6

 RTM

SP2 

 SP1

RTM

SP32

SP2

 SP1

 RTM

4.6.1 (4.12060.1500.0) or greater

check5

check

check

check

check

4.6 (4.12060.1.0)

check check check check

1 SQL Clustering is supported.
2 Although we also support the base SQL version with the latest service pack, K2 tests on the R2 versions. We recommend that customers upgrade to the R2 versions.
3 SQL AlwaysOn is supported for new installs of 4.6 (single database scenarios) only. Upgrades from previous versions to 4.6 still has multiple databases present, therefore AlwaysOn is not supported.
4 SQL Mirroring is supported for new installs of 4.6 (single database scenarios) only. Upgrades from previous versions to 4.6 still has multiple databases present, therefore Mirroring is not supported.
5 SQL Server Reporting Services is supported.
6 SQL Mirroring will be supported in a future release.

Top
Microsoft Visual Studio1
Visual Studio 2012 Visual Studio 2010
Premium, Ultimate, Professional

RTM

SP1

RTM

4.6.3 (4.12060.1530.0) or greater

 check2

check

check

4.6.2 (4.12060.1520.0) 4.6.1 (4.12060.1500.0) 4.6 (4.12060.1.0)

 

check

check

1 Visual Studio is only needed for the K2 Process Management component. 
2 Requires the K2 for Visual Studio 2012 additional component installer.

Top
Microsoft .NET Framework
.NET Framework 4.0 / 4.5 .NET Framework 3.5

RTM2

SP11

RTM

4.6 (4.12060.1.0) or greater

check

check
1 .NET Framework 3.5 SP1 includes .NET Framework 2.0 SP1 and .NET Framework 3.0 SP1
2 K2 Web Sites and Application Pools must be .NET Framework version v2.0.50727
Top
Microsoft SharePoint Products and Technologies1,2,9
SharePoint 20106,8 MOSS 2007 Enterprise3,4,5 MOSS 2007 Standard3 Forms Server 20074 WSS v3.0

Latest
CU7

SP1

RTM

SP2

SP1

RTM

SP2

SP1

RTM

SP2

SP1

RTM

SP2

SP1

RTM

4.6 (4.12060.1.0) or greater

check

check

check

check check check check

* MOSS = Microsoft Office SharePoint Server; WSS = Windows SharePoint Services
1 All SharePoint Web Front Ends (WFEs) must have the same K2 components and all be either 32-bit or 64-bit servers
2 Forms and Claims Authentication in SharePoint Products and Technologies are not supported
3 Publishing and Records Management integration requires MOSS Standard or MOSS Enterprise
4 InfoPath Forms Services integration requires MOSS Enterprise or Office Forms Server and InfoPath 2007 designed forms
5 BDC integration requires MOSS Enterprise
6 Includes SharePoint 2010 Foundation, Standard and Enterprise
7 We test on the latest cumulative update, currently October 2012
8 SharePoint Online is not supported by K2 blackpoint
9 SharePoint must be on a supported Windows Operating System in order to be installed or upgraded to 4.6.

Top

Microsoft Dynamics CRM
CRM 2011

CRM 4.0
(Workgroup, Professional, Enterprise)

RTM1

RTM

4.6.2 (4.12060.1520.0) or greater

check 

check

4.6 (4.12060.1.0)

 

check

1 CRM 2011 Online is not supported with K2 blackpoint
Top
Microsoft Exchange Server
Exchange 2010 Exchange 2007

SP2

SP1

RTM

SP3

SP2

RTM

4.6 (4.12060.1.0) or greater

check

check

check

check

 

 

Top
Microsoft Office InfoPath
InfoPath 2010 InfoPath 20071

SP12

RTM

 SP3

SP2

SP1

RTM

4.6.3 (4.12060.1530.0) or greater

check

check

check

check

 

 

4.6.2 (4.12060.1520.0) 4.6.1 (4.12060.1500.0) 4.6 (4.12060.1.0)

check

check

check

 

 

1 InfoPath 2007 Managed Code Form Templates supported per product documentation
2 We do not test against cumulative updates on client software such as InfoPath
Top
Browser
Internet Explorer Silverlight Other web browsers

102

9

8

5

41

4.6.3 (4.12060.1530.0) or greater

check

check

check

check

check

4.6.2 (4.12060.1520.0) 4.6.1 (4.12060.1500.0) 4.6 (4.12060.1.0)

check

check

check

check

1 Minimum required version for Silverlight is 4.0.50917.0
2 Plug-in support is only available in Internet Explorer on the desktop, and this version of Internet Explorer 10 must be used for items built on Silverlight, such as the K2 Workflow Designer.

Top
Language

At this time, K2 is only localized for International English. We support installation on any language Operating System, and data can be in any language. You can, of course, localize InfoPath forms or SharePoint lists/libraries. You can also modify the notification event template to "translate" the message into any language.

There is one K2 component, the K2 Worklist Web Part, that is open source and can be translated if required. The code is available on blackmarket on the K2 Underground. NOTE: Once modified, the Web Part becomes custom code and is no longer supported.

K2 blackpoint provides full support for all language Operating Systems, which allows K2 to run in English on non-English platforms. Full testing on non-English platforms include the following components:1

 

English (Worldwide)

Chinese (Traditional and Simplified)

German

French

Windows Server 2008 R2

check

check

check

check

 SQL Server 2008

check

check

check

check

 SharePoint 2010 (WSS / Foundation)

check

check

check

check

 Visual Studio 2010

check

check

check

check

 Internet Explorer 8 or 9

check

check

check

check

1 For all items, see the specific compatibility matrix sections above for supported versions.

Top